import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  commissionBatchId: SortOrderSchema.optional(),
  paymentId: SortOrderSchema.optional(),
  collectionAmount: SortOrderSchema.optional()
}).strict();
export const CommissionBatchItemMinOrderByAggregateInputObjectSchema: z.ZodType<Prisma.CommissionBatchItemMinOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchItemMinOrderByAggregateInput>;
export const CommissionBatchItemMinOrderByAggregateInputObjectZodSchema = makeSchema();
